TypeDefinitionSetImpl.SetMethodBag (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.meta.impl

## Class TypeDefinitionSetImpl.SetMethodBag

- java.lang.Object
- - tv.amwa.maj.meta.impl.MethodBag
  - - tv.amwa.maj.meta.impl.TypeDefinitionSetImpl.SetMethodBag

- Enclosing class:
    TypeDefinitionSetImpl

      public static class TypeDefinitionSetImpl.SetMethodBag
      extends MethodBag

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetMethodBag(Method getter, Method[] candidateMethods, String propertyName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(MetadataObject metadataObject, Object value)`
    `void` | `clear(MetadataObject metadataObject)`
    `void` | `contains(MetadataObject metadataObject, Object value)`
    `int` | `count(MetadataObject metadataObject)`
    `String` | `getAddName()`
    `String` | `getClearName()`
    `String` | `getContainsName()`
    `String` | `getCountName()`
    `String` | `getRemoveName()`
    `boolean` | `hasSetter()`
    `void` | `remove(MetadataObject metadataObject, Object value)`
    `void` | `set(MetadataObject metadataObject, Set<Object> values)`

    - ### Methods inherited from class tv.amwa.maj.meta.impl.MethodBag

      `get, getGetterName, getPropertyName`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetMethodBag

          public SetMethodBag(Method getter,
                              Method[] candidateMethods,
                              String propertyName)

  - ### Method Detail

    - #### add

          public void add(MetadataObject metadataObject,
                          Object value)
                   throws IllegalArgumentException,
                          IllegalAccessException,
                          InvocationTargetException

      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `InvocationTargetException`

    - #### count

          public int count(MetadataObject metadataObject)
                    throws IllegalArgumentException,
                           IllegalAccessException,
                           InvocationTargetException

      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `InvocationTargetException`

    - #### contains

          public void contains(MetadataObject metadataObject,
                               Object value)
                        throws IllegalArgumentException,
                               IllegalAccessException,
                               InvocationTargetException

      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `InvocationTargetException`

    - #### remove

          public void remove(MetadataObject metadataObject,
                             Object value)
                      throws IllegalArgumentException,
                             IllegalAccessException,
                             InvocationTargetException

      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `InvocationTargetException`

    - #### clear

          public void clear(MetadataObject metadataObject)
                     throws IllegalArgumentException,
                            IllegalAccessException,
                            InvocationTargetException

      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `InvocationTargetException`

    - #### set

          public void set(MetadataObject metadataObject,
                          Set<Object> values)
                   throws IllegalArgumentException,
                          IllegalAccessException,
                          InvocationTargetException

      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `InvocationTargetException`

    - #### hasSetter

          public boolean hasSetter()

    - #### getAddName

          public String getAddName()

    - #### getCountName

          public String getCountName()

    - #### getClearName

          public String getClearName()

    - #### getContainsName

          public String getContainsName()

    - #### getRemoveName

          public String getRemoveName()

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.